HTML Injection

Affecting shout package, versions <0.50.0 >=0.44.0

Do your applications use this vulnerable package? Test your applications

Overview

shout is a self-hosted Web IRC client.

The topic message in src/plugins/irc-events/topic.js is not escaped and may allow attackers to inject arbitrary HTML scripts.

Remediation

Upgrade shout to version 0.50.0 or higher.

References

CVSS Score

6.5
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    Low
  • Availability
    None
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N
Credit
pangeacake
CVE
CVE-2017-16043
CWE
CWE-74
Snyk ID
npm:shout:20150122
Disclosed
21 Jan, 2015
Published
13 Feb, 2017